Create a checkout session (client token)
curl --request POST \
--url https://billing.funnelfox.com/{org_id}/v1/checkout/create_client_session \
--header 'Content-Type: application/json' \
--data '
{
"region": "<string>",
"pp_ident": "<string>",
"external_id": "<string>",
"email_address": "<string>",
"country_code": "<string>",
"client_metadata": {}
}
'import requests
url = "https://billing.funnelfox.com/{org_id}/v1/checkout/create_client_session"
payload = {
"region": "<string>",
"pp_ident": "<string>",
"external_id": "<string>",
"email_address": "<string>",
"country_code": "<string>",
"client_metadata": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
region: '<string>',
pp_ident: '<string>',
external_id: '<string>',
email_address: '<string>',
country_code: '<string>',
client_metadata: {}
})
};
fetch('https://billing.funnelfox.com/{org_id}/v1/checkout/create_client_session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_token": "<string>",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Checkout
Create a checkout session (client token)
Start a new checkout session and obtain a client token for payment.
POST
/
checkout
/
create_client_session
Create a checkout session (client token)
Path Parameters
Organization ID
Body
application/json
Payment service provider region (useful when merchant has multiple payment provider accounts)
Maximum string length:
64Pattern:
^[a-z]{1,20}$Available options:
fakeintegration, primer, stripe Unique identifier of the price point
Maximum string length:
256Pattern:
^[-A-Za-z_0-9]{1,256}$Your unique identifier for the user
Maximum string length:
256Maximum string length:
1024Custom metadata from your client application
Was this page helpful?
⌘I
